# Class SnpEffPredictorFactoryGtf22

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGtf22

public class SnpEffPredictorFactoryGtf22 extends SnpEffPredictorFactoryGff
This class creates a SnpEffectPredictor from a GTF 2.2 file References: http://mblab.wustl.edu/GTF22.html

Author:
  pcingola

## Field Summary

### Fields inherited from class SnpEffPredictorFactoryGff

`FASTA_DELIMITER`

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryGtf22(Config config)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`parse(String line)`
Parse a line

### Methods inherited from class SnpEffPredictorFactoryGff

`addExon, addExons, addGene, addGene, addIntergenicConserved, addInterval, addIntronConserved, addUtr3, addUtr5, create, findOrCreateExon, findOrCreateGene, findOrCreateTranscript, readExonSequences, readExonSequencesGff, readGff`

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffPredictorFactoryGtf22

public SnpEffPredictorFactoryGtf22(Config config)

## Method Details

### parse

protected boolean parse(String line)
Description copied from class: `SnpEffPredictorFactoryGff`
Parse a line

Overrides:
  `parse` in class `SnpEffPredictorFactoryGff`
Returns:
  true if a line was parsed